Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Result

    java.lang.Object
      |
      +--org.hsqldb.Result

class Result
extends Object

Field Summary
`(package private) final static int` | `DATA`
`(package private) final static int` | `ERROR`
`(package private) int` | `iMode`
`(package private) int[]` | `iType`
`(package private) int` | `iUpdateCount`
`(package private) org.hsqldb.Record` | `rRoot`
`(package private) java.lang.String` | `sError`
`(package private) java.lang.String[]` | `sLabel`
`(package private) java.lang.String[]` | `sName`
`(package private) java.lang.String[]` | `sTable`
`(package private) final static int` | `UPDATECOUNT`

Constructor Summary
`(package private)` | `Result()`
`(package private)` | `Result(java.lang.String )`
`(package private)` | `Result(int )`
`(package private)` | `Result(byte[] )`

Method Summary
`(package private) void` | `add(java.lang.Object[] )`
`(package private) void` | `append(org.hsqldb.Result )`
`(package private) byte[]` | `getBytes()`
`(package private) int` | `getColumnCount()`
`(package private) int` | `getSize()`
`(package private) void` | `setColumnCount(int )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### DATA

    final static int DATA

### ERROR

    final static int ERROR

### iMode

    int iMode

### iType

    int[] iType

### iUpdateCount

    int iUpdateCount

### rRoot

    org.hsqldb.Record rRoot

### sError

    java.lang.String sError

### sLabel

    java.lang.String[] sLabel

### sName

    java.lang.String[] sName

### sTable

    java.lang.String[] sTable

### UPDATECOUNT

    final static int UPDATECOUNT

Constructor Detail

### Result

    Result()

### Result

    Result(java.lang.String )

### Result

    Result(int )

### Result

    Result(byte[] )

Method Detail

### add

    void add(java.lang.Object[] )

### append

    void append(org.hsqldb.Result )

### getBytes

    byte[] getBytes()

### getColumnCount

    int getColumnCount()

### getSize

    int getSize()

### setColumnCount

    void setColumnCount(int )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD